Commits

camlspotter  committed bed3e71

added compiler conservativeness check

  • Participants
  • Parent commits 1628d76
  • Branches ocamlspot-312b

Comments (0)

Files changed (1)

File ocamlspot/VERIFY.sh

+#!/bin/sh
+set -e
+rm -rf verify
+svn checkout http://caml.inria.fr/svn/ocaml/release/3.12.0+rc1 verify/
+cd verify
+svn update -r 10630 
+./configure
+make clean core coreboot world opt opt.opt
+rm -rf boot/Saved _build/boot/Saved
+find . -iregex '.*\.\(cm.*\|o\)' | sort | xargs md5sum > MD5-original
+rm -rf boot/*
+cp ../boot/[a-z]* boot
+make clean world opt opt.opt
+rm -rf boot/Saved _build/boot/Saved
+find . -iregex '.*\.\(cm.*\|o\)' | sort | xargs md5sum > MD5-ocamlspot
+if cmp MD5-original MD5-ocamlspot; then
+    echo "All the object files are equal!"
+else
+    echo "Something different is created by compiler+ocamlspot!"
+fi
+